import type { Editor } from 'codemirror';
import type { Variable, FunctionGroup } from '../types';
export declare const initialState: {
    editor: Editor | undefined;
    editorValue: string;
    disabled: boolean;
    errorText: string;
    errorCode: unknown;
    fields: ({
        name: string;
        label: string;
        aliasTitle: string;
        description: string;
        isSys: boolean;
        isOrg: boolean;
        writable: boolean;
        editable: boolean;
        unique: boolean;
        uniquePreHandler: string;
        sensitiveStrategy: string;
        sensitiveFlag: number;
        field: {
            type: string;
            customType: string;
            dataType: string;
            props: {
                fieldSearch: {
                    sort: number;
                    type: string;
                };
                hide: boolean;
                isSearch: boolean;
                required: boolean;
                disabled: boolean;
                isCollaborators?: undefined;
                collaboratorRoles?: undefined;
                limit?: undefined;
                multiple?: undefined;
                titleDisabled?: undefined;
                typeDisabled?: undefined;
                attrDisabled?: undefined;
                member?: undefined;
                aliasDisabled?: undefined;
                checked?: undefined;
                multiselect?: undefined;
                groupOptions?: undefined;
                groupSelect?: undefined;
                inputnumber?: undefined;
                isText?: undefined;
                options?: undefined;
                select?: undefined;
                require?: undefined;
                range?: undefined;
                accuracy?: undefined;
                thousandth?: undefined;
                percentage?: undefined;
                location?: undefined;
                sign?: undefined;
                amount?: undefined;
                workHour?: undefined;
                dept?: undefined;
            };
        };
    } | {
        name: string;
        label: string;
        aliasTitle: string;
        description: string;
        isSys: boolean;
        isOrg: boolean;
        writable: boolean;
        editable: boolean;
        unique: boolean;
        uniquePreHandler: string;
        sensitiveStrategy: string;
        sensitiveFlag: number;
        field: {
            type: string;
            customType: string;
            dataType: string;
            props: {
                disabled: boolean;
                isCollaborators: boolean;
                collaboratorRoles: string[];
                limit: number;
                multiple: boolean;
                titleDisabled: boolean;
                typeDisabled: boolean;
                attrDisabled: boolean;
                member: {
                    collaboratorRoles: string;
                    isCollaborators: boolean;
                    multiple: boolean;
                    required?: undefined;
                };
                aliasDisabled: boolean;
                hide: boolean;
                checked: boolean;
                fieldSearch?: undefined;
                isSearch?: undefined;
                required?: undefined;
                multiselect?: undefined;
                groupOptions?: undefined;
                groupSelect?: undefined;
                inputnumber?: undefined;
                isText?: undefined;
                options?: undefined;
                select?: undefined;
                require?: undefined;
                range?: undefined;
                accuracy?: undefined;
                thousandth?: undefined;
                percentage?: undefined;
                location?: undefined;
                sign?: undefined;
                amount?: undefined;
                workHour?: undefined;
                dept?: undefined;
            };
        };
    } | {
        name: string;
        label: string;
        aliasTitle: string;
        description: string;
        isSys: boolean;
        isOrg: boolean;
        writable: boolean;
        editable: boolean;
        unique: boolean;
        uniquePreHandler: string;
        sensitiveStrategy: string;
        sensitiveFlag: number;
        field: {
            type: string;
            customType: string;
            dataType: string;
            props: {
                collaboratorRoles: null;
                multiselect: {
                    options?: undefined;
                };
                groupOptions: {
                    children: {
                        parentId: number;
                        value: string;
                        color: string;
                        fontColor: string;
                        id: number;
                    }[];
                    id: number;
                    value: string;
                }[];
                member: {
                    multiple: boolean;
                    required: boolean;
                    collaboratorRoles?: undefined;
                    isCollaborators?: undefined;
                };
                aliasDisabled: boolean;
                groupSelect: {
                    options: {
                        value: string;
                        color: string;
                        fontColor: string;
                        id: number;
                        parentId: number;
                    }[];
                    groupOptions: {
                        children: {
                            fontColor: string;
                            id: number;
                            parentId: number;
                            value: string;
                            color: string;
                        }[];
                        id: number;
                        value: string;
                    }[];
                };
                inputnumber: {
                    thousandth: boolean;
                    unique: boolean;
                    accuracy: string;
                    percentage: boolean;
                    required: boolean;
                    range?: undefined;
                };
                isText: boolean;
                required: boolean;
                hide: boolean;
                options: {
                    color: string;
                    fontColor: string;
                    id: number;
                    parentId: number;
                    value: string;
                }[];
                typeDisabled: boolean;
                checked: boolean;
                select: {
                    options?: undefined;
                };
                titleDisabled: boolean;
                multiple: boolean;
                attrDisabled: boolean;
                disabled: boolean;
                require: boolean;
                fieldSearch?: undefined;
                isSearch?: undefined;
                isCollaborators?: undefined;
                limit?: undefined;
                range?: undefined;
                accuracy?: undefined;
                thousandth?: undefined;
                percentage?: undefined;
                location?: undefined;
                sign?: undefined;
                amount?: undefined;
                workHour?: undefined;
                dept?: undefined;
            };
        };
    } | {
        name: string;
        label: string;
        aliasTitle: string;
        description: string;
        isSys: boolean;
        isOrg: boolean;
        writable: boolean;
        editable: boolean;
        unique: boolean;
        uniquePreHandler: string;
        sensitiveStrategy: string;
        sensitiveFlag: number;
        field: {
            type: string;
            customType: string;
            dataType: string;
            props: {
                fieldSearch?: undefined;
                hide?: undefined;
                isSearch?: undefined;
                required?: undefined;
                disabled?: undefined;
                isCollaborators?: undefined;
                collaboratorRoles?: undefined;
                limit?: undefined;
                multiple?: undefined;
                titleDisabled?: undefined;
                typeDisabled?: undefined;
                attrDisabled?: undefined;
                member?: undefined;
                aliasDisabled?: undefined;
                checked?: undefined;
                multiselect?: undefined;
                groupOptions?: undefined;
                groupSelect?: undefined;
                inputnumber?: undefined;
                isText?: undefined;
                options?: undefined;
                select?: undefined;
                require?: undefined;
                range?: undefined;
                accuracy?: undefined;
                thousandth?: undefined;
                percentage?: undefined;
                location?: undefined;
                sign?: undefined;
                amount?: undefined;
                workHour?: undefined;
                dept?: undefined;
            };
        };
    } | {
        name: string;
        label: string;
        aliasTitle: string;
        description: string;
        isSys: boolean;
        isOrg: boolean;
        writable: boolean;
        editable: boolean;
        unique: boolean;
        uniquePreHandler: string;
        sensitiveStrategy: string;
        sensitiveFlag: number;
        field: {
            type: string;
            customType: string;
            dataType: string;
            props: {
                isText: boolean;
                member: {
                    multiple: boolean;
                    required: boolean;
                    collaboratorRoles?: undefined;
                    isCollaborators?: undefined;
                };
                multiselect: {
                    options?: undefined;
                };
                required: boolean;
                select: {
                    options?: undefined;
                };
                inputnumber: {
                    unique: boolean;
                    accuracy: string;
                    percentage: boolean;
                    required: boolean;
                    thousandth: boolean;
                    range?: undefined;
                };
                fieldSearch?: undefined;
                hide?: undefined;
                isSearch?: undefined;
                disabled?: undefined;
                isCollaborators?: undefined;
                collaboratorRoles?: undefined;
                limit?: undefined;
                multiple?: undefined;
                titleDisabled?: undefined;
                typeDisabled?: undefined;
                attrDisabled?: undefined;
                aliasDisabled?: undefined;
                checked?: undefined;
                groupOptions?: undefined;
                groupSelect?: undefined;
                options?: undefined;
                require?: undefined;
                range?: undefined;
                accuracy?: undefined;
                thousandth?: undefined;
                percentage?: undefined;
                location?: undefined;
                sign?: undefined;
                amount?: undefined;
                workHour?: undefined;
                dept?: undefined;
            };
        };
    } | {
        name: string;
        label: string;
        aliasTitle: string;
        description: string;
        isSys: boolean;
        isOrg: boolean;
        writable: boolean;
        editable: boolean;
        unique: boolean;
        uniquePreHandler: string;
        sensitiveStrategy: string;
        sensitiveFlag: number;
        field: {
            type: string;
            customType: string;
            dataType: string;
            props: {
                collaboratorRoles: string[];
                multiple: boolean;
                fieldSearch?: undefined;
                hide?: undefined;
                isSearch?: undefined;
                required?: undefined;
                disabled?: undefined;
                isCollaborators?: undefined;
                limit?: undefined;
                titleDisabled?: undefined;
                typeDisabled?: undefined;
                attrDisabled?: undefined;
                member?: undefined;
                aliasDisabled?: undefined;
                checked?: undefined;
                multiselect?: undefined;
                groupOptions?: undefined;
                groupSelect?: undefined;
                inputnumber?: undefined;
                isText?: undefined;
                options?: undefined;
                select?: undefined;
                require?: undefined;
                range?: undefined;
                accuracy?: undefined;
                thousandth?: undefined;
                percentage?: undefined;
                location?: undefined;
                sign?: undefined;
                amount?: undefined;
                workHour?: undefined;
                dept?: undefined;
            };
        };
    } | {
        name: string;
        label: string;
        aliasTitle: string;
        description: string;
        isSys: boolean;
        isOrg: boolean;
        writable: boolean;
        editable: boolean;
        unique: boolean;
        uniquePreHandler: string;
        sensitiveStrategy: string;
        sensitiveFlag: number;
        field: {
            type: string;
            customType: string;
            dataType: string;
            props: {
                titleDisabled: boolean;
                typeDisabled: boolean;
                disabled: boolean;
                isText: boolean;
                required: boolean;
                select: {
                    options?: undefined;
                };
                fieldSearch?: undefined;
                hide?: undefined;
                isSearch?: undefined;
                isCollaborators?: undefined;
                collaboratorRoles?: undefined;
                limit?: undefined;
                multiple?: undefined;
                attrDisabled?: undefined;
                member?: undefined;
                aliasDisabled?: undefined;
                checked?: undefined;
                multiselect?: undefined;
                groupOptions?: undefined;
                groupSelect?: undefined;
                inputnumber?: undefined;
                options?: undefined;
                require?: undefined;
                range?: undefined;
                accuracy?: undefined;
                thousandth?: undefined;
                percentage?: undefined;
                location?: undefined;
                sign?: undefined;
                amount?: undefined;
                workHour?: undefined;
                dept?: undefined;
            };
        };
    } | {
        name: string;
        label: string;
        aliasTitle: string;
        description: string;
        isSys: boolean;
        isOrg: boolean;
        writable: boolean;
        editable: boolean;
        unique: boolean;
        uniquePreHandler: string;
        sensitiveStrategy: string;
        sensitiveFlag: number;
        field: {
            type: string;
            customType: string;
            dataType: string;
            props: {
                member: {
                    required: boolean;
                    multiple: boolean;
                    collaboratorRoles?: undefined;
                    isCollaborators?: undefined;
                };
                multiselect: {
                    options?: undefined;
                };
                required: boolean;
                select: {
                    options: {
                        value: string;
                        color: string;
                        fontColor: string;
                        id: number;
                    }[];
                };
                inputnumber: {
                    required: boolean;
                    thousandth: boolean;
                    unique: boolean;
                    accuracy: string;
                    percentage: boolean;
                    range?: undefined;
                };
                isText: boolean;
                fieldSearch?: undefined;
                hide?: undefined;
                isSearch?: undefined;
                disabled?: undefined;
                isCollaborators?: undefined;
                collaboratorRoles?: undefined;
                limit?: undefined;
                multiple?: undefined;
                titleDisabled?: undefined;
                typeDisabled?: undefined;
                attrDisabled?: undefined;
                aliasDisabled?: undefined;
                checked?: undefined;
                groupOptions?: undefined;
                groupSelect?: undefined;
                options?: undefined;
                require?: undefined;
                range?: undefined;
                accuracy?: undefined;
                thousandth?: undefined;
                percentage?: undefined;
                location?: undefined;
                sign?: undefined;
                amount?: undefined;
                workHour?: undefined;
                dept?: undefined;
            };
        };
    } | {
        name: string;
        label: string;
        aliasTitle: string;
        description: string;
        isSys: boolean;
        isOrg: boolean;
        writable: boolean;
        editable: boolean;
        unique: boolean;
        uniquePreHandler: string;
        sensitiveStrategy: string;
        sensitiveFlag: number;
        field: {
            type: string;
            customType: string;
            dataType: string;
            props: {
                checked: boolean;
                disabled: boolean;
                hide: boolean;
                multiple: boolean;
                required: boolean;
                fieldSearch?: undefined;
                isSearch?: undefined;
                isCollaborators?: undefined;
                collaboratorRoles?: undefined;
                limit?: undefined;
                titleDisabled?: undefined;
                typeDisabled?: undefined;
                attrDisabled?: undefined;
                member?: undefined;
                aliasDisabled?: undefined;
                multiselect?: undefined;
                groupOptions?: undefined;
                groupSelect?: undefined;
                inputnumber?: undefined;
                isText?: undefined;
                options?: undefined;
                select?: undefined;
                require?: undefined;
                range?: undefined;
                accuracy?: undefined;
                thousandth?: undefined;
                percentage?: undefined;
                location?: undefined;
                sign?: undefined;
                amount?: undefined;
                workHour?: undefined;
                dept?: undefined;
            };
        };
    } | {
        name: string;
        label: string;
        aliasTitle: string;
        description: string;
        isSys: boolean;
        isOrg: boolean;
        writable: boolean;
        editable: boolean;
        unique: boolean;
        uniquePreHandler: string;
        sensitiveStrategy: string;
        sensitiveFlag: number;
        field: {
            type: string;
            customType: string;
            dataType: string;
            props: {
                range: {};
                accuracy: string;
                disabled: boolean;
                required: boolean;
                collaboratorRoles: null;
                thousandth: boolean;
                inputnumber: {
                    thousandth: boolean;
                    accuracy: string;
                    percentage: boolean;
                    range: {};
                    unique?: undefined;
                    required?: undefined;
                };
                multiple: boolean;
                percentage: boolean;
                fieldSearch?: undefined;
                hide?: undefined;
                isSearch?: undefined;
                isCollaborators?: undefined;
                limit?: undefined;
                titleDisabled?: undefined;
                typeDisabled?: undefined;
                attrDisabled?: undefined;
                member?: undefined;
                aliasDisabled?: undefined;
                checked?: undefined;
                multiselect?: undefined;
                groupOptions?: undefined;
                groupSelect?: undefined;
                isText?: undefined;
                options?: undefined;
                select?: undefined;
                require?: undefined;
                location?: undefined;
                sign?: undefined;
                amount?: undefined;
                workHour?: undefined;
                dept?: undefined;
            };
        };
    } | {
        name: string;
        label: string;
        aliasTitle: string;
        description: string;
        isSys: boolean;
        isOrg: boolean;
        writable: boolean;
        editable: boolean;
        unique: boolean;
        uniquePreHandler: string;
        sensitiveStrategy: string;
        sensitiveFlag: number;
        field: {
            type: string;
            customType: string;
            dataType: string;
            props: {
                collaboratorRoles: null;
                disabled: boolean;
                location: string;
                sign: string;
                multiple: boolean;
                range: {};
                accuracy: string;
                amount: {
                    accuracy: string;
                    location: string;
                    range: {};
                    sign: string;
                };
                required: boolean;
                fieldSearch?: undefined;
                hide?: undefined;
                isSearch?: undefined;
                isCollaborators?: undefined;
                limit?: undefined;
                titleDisabled?: undefined;
                typeDisabled?: undefined;
                attrDisabled?: undefined;
                member?: undefined;
                aliasDisabled?: undefined;
                checked?: undefined;
                multiselect?: undefined;
                groupOptions?: undefined;
                groupSelect?: undefined;
                inputnumber?: undefined;
                isText?: undefined;
                options?: undefined;
                select?: undefined;
                require?: undefined;
                thousandth?: undefined;
                percentage?: undefined;
                workHour?: undefined;
                dept?: undefined;
            };
        };
    } | {
        name: string;
        label: string;
        aliasTitle: string;
        description: string;
        isSys: boolean;
        isOrg: boolean;
        writable: boolean;
        editable: boolean;
        unique: boolean;
        uniquePreHandler: string;
        sensitiveStrategy: string;
        sensitiveFlag: number;
        field: {
            type: string;
            customType: string;
            dataType: string;
            props: {
                disabled: boolean;
                multiple: boolean;
                required: boolean;
                collaboratorRoles: null;
                fieldSearch?: undefined;
                hide?: undefined;
                isSearch?: undefined;
                isCollaborators?: undefined;
                limit?: undefined;
                titleDisabled?: undefined;
                typeDisabled?: undefined;
                attrDisabled?: undefined;
                member?: undefined;
                aliasDisabled?: undefined;
                checked?: undefined;
                multiselect?: undefined;
                groupOptions?: undefined;
                groupSelect?: undefined;
                inputnumber?: undefined;
                isText?: undefined;
                options?: undefined;
                select?: undefined;
                require?: undefined;
                range?: undefined;
                accuracy?: undefined;
                thousandth?: undefined;
                percentage?: undefined;
                location?: undefined;
                sign?: undefined;
                amount?: undefined;
                workHour?: undefined;
                dept?: undefined;
            };
        };
    } | {
        name: string;
        label: string;
        aliasTitle: string;
        description: string;
        isSys: boolean;
        isOrg: boolean;
        writable: boolean;
        editable: boolean;
        unique: boolean;
        uniquePreHandler: string;
        sensitiveStrategy: string;
        sensitiveFlag: number;
        field: {
            type: string;
            customType: string;
            dataType: string;
            props: {
                required: boolean;
                workHour: {};
                collaboratorRoles: null;
                disabled: boolean;
                multiple: boolean;
                fieldSearch?: undefined;
                hide?: undefined;
                isSearch?: undefined;
                isCollaborators?: undefined;
                limit?: undefined;
                titleDisabled?: undefined;
                typeDisabled?: undefined;
                attrDisabled?: undefined;
                member?: undefined;
                aliasDisabled?: undefined;
                checked?: undefined;
                multiselect?: undefined;
                groupOptions?: undefined;
                groupSelect?: undefined;
                inputnumber?: undefined;
                isText?: undefined;
                options?: undefined;
                select?: undefined;
                require?: undefined;
                range?: undefined;
                accuracy?: undefined;
                thousandth?: undefined;
                percentage?: undefined;
                location?: undefined;
                sign?: undefined;
                amount?: undefined;
                dept?: undefined;
            };
        };
    } | {
        name: string;
        label: string;
        aliasTitle: string;
        description: string;
        isSys: boolean;
        isOrg: boolean;
        writable: boolean;
        editable: boolean;
        unique: boolean;
        uniquePreHandler: string;
        sensitiveStrategy: string;
        sensitiveFlag: number;
        field: {
            type: string;
            customType: string;
            dataType: string;
            props: {
                multiple: boolean;
                required: boolean;
                collaboratorRoles: null;
                disabled: boolean;
                isCollaborators: boolean;
                member: {
                    multiple: boolean;
                    isCollaborators: boolean;
                    collaboratorRoles?: undefined;
                    required?: undefined;
                };
                fieldSearch?: undefined;
                hide?: undefined;
                isSearch?: undefined;
                limit?: undefined;
                titleDisabled?: undefined;
                typeDisabled?: undefined;
                attrDisabled?: undefined;
                aliasDisabled?: undefined;
                checked?: undefined;
                multiselect?: undefined;
                groupOptions?: undefined;
                groupSelect?: undefined;
                inputnumber?: undefined;
                isText?: undefined;
                options?: undefined;
                select?: undefined;
                require?: undefined;
                range?: undefined;
                accuracy?: undefined;
                thousandth?: undefined;
                percentage?: undefined;
                location?: undefined;
                sign?: undefined;
                amount?: undefined;
                workHour?: undefined;
                dept?: undefined;
            };
        };
    } | {
        name: string;
        label: string;
        aliasTitle: string;
        description: string;
        isSys: boolean;
        isOrg: boolean;
        writable: boolean;
        editable: boolean;
        unique: boolean;
        uniquePreHandler: string;
        sensitiveStrategy: string;
        sensitiveFlag: number;
        field: {
            type: string;
            customType: string;
            dataType: string;
            props: {
                multiple: boolean;
                required: boolean;
                collaboratorRoles: null;
                dept: {
                    multiple: boolean;
                };
                disabled: boolean;
                fieldSearch?: undefined;
                hide?: undefined;
                isSearch?: undefined;
                isCollaborators?: undefined;
                limit?: undefined;
                titleDisabled?: undefined;
                typeDisabled?: undefined;
                attrDisabled?: undefined;
                member?: undefined;
                aliasDisabled?: undefined;
                checked?: undefined;
                multiselect?: undefined;
                groupOptions?: undefined;
                groupSelect?: undefined;
                inputnumber?: undefined;
                isText?: undefined;
                options?: undefined;
                select?: undefined;
                require?: undefined;
                range?: undefined;
                accuracy?: undefined;
                thousandth?: undefined;
                percentage?: undefined;
                location?: undefined;
                sign?: undefined;
                amount?: undefined;
                workHour?: undefined;
            };
        };
    } | {
        name: string;
        label: string;
        aliasTitle: string;
        description: string;
        isSys: boolean;
        isOrg: boolean;
        writable: boolean;
        editable: boolean;
        unique: boolean;
        uniquePreHandler: string;
        sensitiveStrategy: string;
        sensitiveFlag: number;
        field: {
            type: string;
            customType: string;
            dataType: string;
            props: {
                multiple: boolean;
                multiselect: {
                    options: {
                        value: string;
                        color: string;
                        id: number;
                    }[];
                };
                options: {
                    value: string;
                    color: string;
                    id: number;
                }[];
                required: boolean;
                checked: boolean;
                collaboratorRoles: null;
                disabled: boolean;
                hide: boolean;
                fieldSearch?: undefined;
                isSearch?: undefined;
                isCollaborators?: undefined;
                limit?: undefined;
                titleDisabled?: undefined;
                typeDisabled?: undefined;
                attrDisabled?: undefined;
                member?: undefined;
                aliasDisabled?: undefined;
                groupOptions?: undefined;
                groupSelect?: undefined;
                inputnumber?: undefined;
                isText?: undefined;
                select?: undefined;
                require?: undefined;
                range?: undefined;
                accuracy?: undefined;
                thousandth?: undefined;
                percentage?: undefined;
                location?: undefined;
                sign?: undefined;
                amount?: undefined;
                workHour?: undefined;
                dept?: undefined;
            };
        };
    })[] | Variable[] | undefined;
    originalFields: ({
        name: string;
        label: string;
        aliasTitle: string;
        description: string;
        isSys: boolean;
        isOrg: boolean;
        writable: boolean;
        editable: boolean;
        unique: boolean;
        uniquePreHandler: string;
        sensitiveStrategy: string;
        sensitiveFlag: number;
        field: {
            type: string;
            customType: string;
            dataType: string;
            props: {
                fieldSearch: {
                    sort: number;
                    type: string;
                };
                hide: boolean;
                isSearch: boolean;
                required: boolean;
                disabled: boolean;
                isCollaborators?: undefined;
                collaboratorRoles?: undefined;
                limit?: undefined;
                multiple?: undefined;
                titleDisabled?: undefined;
                typeDisabled?: undefined;
                attrDisabled?: undefined;
                member?: undefined;
                aliasDisabled?: undefined;
                checked?: undefined;
                multiselect?: undefined;
                groupOptions?: undefined;
                groupSelect?: undefined;
                inputnumber?: undefined;
                isText?: undefined;
                options?: undefined;
                select?: undefined;
                require?: undefined;
                range?: undefined;
                accuracy?: undefined;
                thousandth?: undefined;
                percentage?: undefined;
                location?: undefined;
                sign?: undefined;
                amount?: undefined;
                workHour?: undefined;
                dept?: undefined;
            };
        };
    } | {
        name: string;
        label: string;
        aliasTitle: string;
        description: string;
        isSys: boolean;
        isOrg: boolean;
        writable: boolean;
        editable: boolean;
        unique: boolean;
        uniquePreHandler: string;
        sensitiveStrategy: string;
        sensitiveFlag: number;
        field: {
            type: string;
            customType: string;
            dataType: string;
            props: {
                disabled: boolean;
                isCollaborators: boolean;
                collaboratorRoles: string[];
                limit: number;
                multiple: boolean;
                titleDisabled: boolean;
                typeDisabled: boolean;
                attrDisabled: boolean;
                member: {
                    collaboratorRoles: string;
                    isCollaborators: boolean;
                    multiple: boolean;
                    required?: undefined;
                };
                aliasDisabled: boolean;
                hide: boolean;
                checked: boolean;
                fieldSearch?: undefined;
                isSearch?: undefined;
                required?: undefined;
                multiselect?: undefined;
                groupOptions?: undefined;
                groupSelect?: undefined;
                inputnumber?: undefined;
                isText?: undefined;
                options?: undefined;
                select?: undefined;
                require?: undefined;
                range?: undefined;
                accuracy?: undefined;
                thousandth?: undefined;
                percentage?: undefined;
                location?: undefined;
                sign?: undefined;
                amount?: undefined;
                workHour?: undefined;
                dept?: undefined;
            };
        };
    } | {
        name: string;
        label: string;
        aliasTitle: string;
        description: string;
        isSys: boolean;
        isOrg: boolean;
        writable: boolean;
        editable: boolean;
        unique: boolean;
        uniquePreHandler: string;
        sensitiveStrategy: string;
        sensitiveFlag: number;
        field: {
            type: string;
            customType: string;
            dataType: string;
            props: {
                collaboratorRoles: null;
                multiselect: {
                    options?: undefined;
                };
                groupOptions: {
                    children: {
                        parentId: number;
                        value: string;
                        color: string;
                        fontColor: string;
                        id: number;
                    }[];
                    id: number;
                    value: string;
                }[];
                member: {
                    multiple: boolean;
                    required: boolean;
                    collaboratorRoles?: undefined;
                    isCollaborators?: undefined;
                };
                aliasDisabled: boolean;
                groupSelect: {
                    options: {
                        value: string;
                        color: string;
                        fontColor: string;
                        id: number;
                        parentId: number;
                    }[];
                    groupOptions: {
                        children: {
                            fontColor: string;
                            id: number;
                            parentId: number;
                            value: string;
                            color: string;
                        }[];
                        id: number;
                        value: string;
                    }[];
                };
                inputnumber: {
                    thousandth: boolean;
                    unique: boolean;
                    accuracy: string;
                    percentage: boolean;
                    required: boolean;
                    range?: undefined;
                };
                isText: boolean;
                required: boolean;
                hide: boolean;
                options: {
                    color: string;
                    fontColor: string;
                    id: number;
                    parentId: number;
                    value: string;
                }[];
                typeDisabled: boolean;
                checked: boolean;
                select: {
                    options?: undefined;
                };
                titleDisabled: boolean;
                multiple: boolean;
                attrDisabled: boolean;
                disabled: boolean;
                require: boolean;
                fieldSearch?: undefined;
                isSearch?: undefined;
                isCollaborators?: undefined;
                limit?: undefined;
                range?: undefined;
                accuracy?: undefined;
                thousandth?: undefined;
                percentage?: undefined;
                location?: undefined;
                sign?: undefined;
                amount?: undefined;
                workHour?: undefined;
                dept?: undefined;
            };
        };
    } | {
        name: string;
        label: string;
        aliasTitle: string;
        description: string;
        isSys: boolean;
        isOrg: boolean;
        writable: boolean;
        editable: boolean;
        unique: boolean;
        uniquePreHandler: string;
        sensitiveStrategy: string;
        sensitiveFlag: number;
        field: {
            type: string;
            customType: string;
            dataType: string;
            props: {
                fieldSearch?: undefined;
                hide?: undefined;
                isSearch?: undefined;
                required?: undefined;
                disabled?: undefined;
                isCollaborators?: undefined;
                collaboratorRoles?: undefined;
                limit?: undefined;
                multiple?: undefined;
                titleDisabled?: undefined;
                typeDisabled?: undefined;
                attrDisabled?: undefined;
                member?: undefined;
                aliasDisabled?: undefined;
                checked?: undefined;
                multiselect?: undefined;
                groupOptions?: undefined;
                groupSelect?: undefined;
                inputnumber?: undefined;
                isText?: undefined;
                options?: undefined;
                select?: undefined;
                require?: undefined;
                range?: undefined;
                accuracy?: undefined;
                thousandth?: undefined;
                percentage?: undefined;
                location?: undefined;
                sign?: undefined;
                amount?: undefined;
                workHour?: undefined;
                dept?: undefined;
            };
        };
    } | {
        name: string;
        label: string;
        aliasTitle: string;
        description: string;
        isSys: boolean;
        isOrg: boolean;
        writable: boolean;
        editable: boolean;
        unique: boolean;
        uniquePreHandler: string;
        sensitiveStrategy: string;
        sensitiveFlag: number;
        field: {
            type: string;
            customType: string;
            dataType: string;
            props: {
                isText: boolean;
                member: {
                    multiple: boolean;
                    required: boolean;
                    collaboratorRoles?: undefined;
                    isCollaborators?: undefined;
                };
                multiselect: {
                    options?: undefined;
                };
                required: boolean;
                select: {
                    options?: undefined;
                };
                inputnumber: {
                    unique: boolean;
                    accuracy: string;
                    percentage: boolean;
                    required: boolean;
                    thousandth: boolean;
                    range?: undefined;
                };
                fieldSearch?: undefined;
                hide?: undefined;
                isSearch?: undefined;
                disabled?: undefined;
                isCollaborators?: undefined;
                collaboratorRoles?: undefined;
                limit?: undefined;
                multiple?: undefined;
                titleDisabled?: undefined;
                typeDisabled?: undefined;
                attrDisabled?: undefined;
                aliasDisabled?: undefined;
                checked?: undefined;
                groupOptions?: undefined;
                groupSelect?: undefined;
                options?: undefined;
                require?: undefined;
                range?: undefined;
                accuracy?: undefined;
                thousandth?: undefined;
                percentage?: undefined;
                location?: undefined;
                sign?: undefined;
                amount?: undefined;
                workHour?: undefined;
                dept?: undefined;
            };
        };
    } | {
        name: string;
        label: string;
        aliasTitle: string;
        description: string;
        isSys: boolean;
        isOrg: boolean;
        writable: boolean;
        editable: boolean;
        unique: boolean;
        uniquePreHandler: string;
        sensitiveStrategy: string;
        sensitiveFlag: number;
        field: {
            type: string;
            customType: string;
            dataType: string;
            props: {
                collaboratorRoles: string[];
                multiple: boolean;
                fieldSearch?: undefined;
                hide?: undefined;
                isSearch?: undefined;
                required?: undefined;
                disabled?: undefined;
                isCollaborators?: undefined;
                limit?: undefined;
                titleDisabled?: undefined;
                typeDisabled?: undefined;
                attrDisabled?: undefined;
                member?: undefined;
                aliasDisabled?: undefined;
                checked?: undefined;
                multiselect?: undefined;
                groupOptions?: undefined;
                groupSelect?: undefined;
                inputnumber?: undefined;
                isText?: undefined;
                options?: undefined;
                select?: undefined;
                require?: undefined;
                range?: undefined;
                accuracy?: undefined;
                thousandth?: undefined;
                percentage?: undefined;
                location?: undefined;
                sign?: undefined;
                amount?: undefined;
                workHour?: undefined;
                dept?: undefined;
            };
        };
    } | {
        name: string;
        label: string;
        aliasTitle: string;
        description: string;
        isSys: boolean;
        isOrg: boolean;
        writable: boolean;
        editable: boolean;
        unique: boolean;
        uniquePreHandler: string;
        sensitiveStrategy: string;
        sensitiveFlag: number;
        field: {
            type: string;
            customType: string;
            dataType: string;
            props: {
                titleDisabled: boolean;
                typeDisabled: boolean;
                disabled: boolean;
                isText: boolean;
                required: boolean;
                select: {
                    options?: undefined;
                };
                fieldSearch?: undefined;
                hide?: undefined;
                isSearch?: undefined;
                isCollaborators?: undefined;
                collaboratorRoles?: undefined;
                limit?: undefined;
                multiple?: undefined;
                attrDisabled?: undefined;
                member?: undefined;
                aliasDisabled?: undefined;
                checked?: undefined;
                multiselect?: undefined;
                groupOptions?: undefined;
                groupSelect?: undefined;
                inputnumber?: undefined;
                options?: undefined;
                require?: undefined;
                range?: undefined;
                accuracy?: undefined;
                thousandth?: undefined;
                percentage?: undefined;
                location?: undefined;
                sign?: undefined;
                amount?: undefined;
                workHour?: undefined;
                dept?: undefined;
            };
        };
    } | {
        name: string;
        label: string;
        aliasTitle: string;
        description: string;
        isSys: boolean;
        isOrg: boolean;
        writable: boolean;
        editable: boolean;
        unique: boolean;
        uniquePreHandler: string;
        sensitiveStrategy: string;
        sensitiveFlag: number;
        field: {
            type: string;
            customType: string;
            dataType: string;
            props: {
                member: {
                    required: boolean;
                    multiple: boolean;
                    collaboratorRoles?: undefined;
                    isCollaborators?: undefined;
                };
                multiselect: {
                    options?: undefined;
                };
                required: boolean;
                select: {
                    options: {
                        value: string;
                        color: string;
                        fontColor: string;
                        id: number;
                    }[];
                };
                inputnumber: {
                    required: boolean;
                    thousandth: boolean;
                    unique: boolean;
                    accuracy: string;
                    percentage: boolean;
                    range?: undefined;
                };
                isText: boolean;
                fieldSearch?: undefined;
                hide?: undefined;
                isSearch?: undefined;
                disabled?: undefined;
                isCollaborators?: undefined;
                collaboratorRoles?: undefined;
                limit?: undefined;
                multiple?: undefined;
                titleDisabled?: undefined;
                typeDisabled?: undefined;
                attrDisabled?: undefined;
                aliasDisabled?: undefined;
                checked?: undefined;
                groupOptions?: undefined;
                groupSelect?: undefined;
                options?: undefined;
                require?: undefined;
                range?: undefined;
                accuracy?: undefined;
                thousandth?: undefined;
                percentage?: undefined;
                location?: undefined;
                sign?: undefined;
                amount?: undefined;
                workHour?: undefined;
                dept?: undefined;
            };
        };
    } | {
        name: string;
        label: string;
        aliasTitle: string;
        description: string;
        isSys: boolean;
        isOrg: boolean;
        writable: boolean;
        editable: boolean;
        unique: boolean;
        uniquePreHandler: string;
        sensitiveStrategy: string;
        sensitiveFlag: number;
        field: {
            type: string;
            customType: string;
            dataType: string;
            props: {
                checked: boolean;
                disabled: boolean;
                hide: boolean;
                multiple: boolean;
                required: boolean;
                fieldSearch?: undefined;
                isSearch?: undefined;
                isCollaborators?: undefined;
                collaboratorRoles?: undefined;
                limit?: undefined;
                titleDisabled?: undefined;
                typeDisabled?: undefined;
                attrDisabled?: undefined;
                member?: undefined;
                aliasDisabled?: undefined;
                multiselect?: undefined;
                groupOptions?: undefined;
                groupSelect?: undefined;
                inputnumber?: undefined;
                isText?: undefined;
                options?: undefined;
                select?: undefined;
                require?: undefined;
                range?: undefined;
                accuracy?: undefined;
                thousandth?: undefined;
                percentage?: undefined;
                location?: undefined;
                sign?: undefined;
                amount?: undefined;
                workHour?: undefined;
                dept?: undefined;
            };
        };
    } | {
        name: string;
        label: string;
        aliasTitle: string;
        description: string;
        isSys: boolean;
        isOrg: boolean;
        writable: boolean;
        editable: boolean;
        unique: boolean;
        uniquePreHandler: string;
        sensitiveStrategy: string;
        sensitiveFlag: number;
        field: {
            type: string;
            customType: string;
            dataType: string;
            props: {
                range: {};
                accuracy: string;
                disabled: boolean;
                required: boolean;
                collaboratorRoles: null;
                thousandth: boolean;
                inputnumber: {
                    thousandth: boolean;
                    accuracy: string;
                    percentage: boolean;
                    range: {};
                    unique?: undefined;
                    required?: undefined;
                };
                multiple: boolean;
                percentage: boolean;
                fieldSearch?: undefined;
                hide?: undefined;
                isSearch?: undefined;
                isCollaborators?: undefined;
                limit?: undefined;
                titleDisabled?: undefined;
                typeDisabled?: undefined;
                attrDisabled?: undefined;
                member?: undefined;
                aliasDisabled?: undefined;
                checked?: undefined;
                multiselect?: undefined;
                groupOptions?: undefined;
                groupSelect?: undefined;
                isText?: undefined;
                options?: undefined;
                select?: undefined;
                require?: undefined;
                location?: undefined;
                sign?: undefined;
                amount?: undefined;
                workHour?: undefined;
                dept?: undefined;
            };
        };
    } | {
        name: string;
        label: string;
        aliasTitle: string;
        description: string;
        isSys: boolean;
        isOrg: boolean;
        writable: boolean;
        editable: boolean;
        unique: boolean;
        uniquePreHandler: string;
        sensitiveStrategy: string;
        sensitiveFlag: number;
        field: {
            type: string;
            customType: string;
            dataType: string;
            props: {
                collaboratorRoles: null;
                disabled: boolean;
                location: string;
                sign: string;
                multiple: boolean;
                range: {};
                accuracy: string;
                amount: {
                    accuracy: string;
                    location: string;
                    range: {};
                    sign: string;
                };
                required: boolean;
                fieldSearch?: undefined;
                hide?: undefined;
                isSearch?: undefined;
                isCollaborators?: undefined;
                limit?: undefined;
                titleDisabled?: undefined;
                typeDisabled?: undefined;
                attrDisabled?: undefined;
                member?: undefined;
                aliasDisabled?: undefined;
                checked?: undefined;
                multiselect?: undefined;
                groupOptions?: undefined;
                groupSelect?: undefined;
                inputnumber?: undefined;
                isText?: undefined;
                options?: undefined;
                select?: undefined;
                require?: undefined;
                thousandth?: undefined;
                percentage?: undefined;
                workHour?: undefined;
                dept?: undefined;
            };
        };
    } | {
        name: string;
        label: string;
        aliasTitle: string;
        description: string;
        isSys: boolean;
        isOrg: boolean;
        writable: boolean;
        editable: boolean;
        unique: boolean;
        uniquePreHandler: string;
        sensitiveStrategy: string;
        sensitiveFlag: number;
        field: {
            type: string;
            customType: string;
            dataType: string;
            props: {
                disabled: boolean;
                multiple: boolean;
                required: boolean;
                collaboratorRoles: null;
                fieldSearch?: undefined;
                hide?: undefined;
                isSearch?: undefined;
                isCollaborators?: undefined;
                limit?: undefined;
                titleDisabled?: undefined;
                typeDisabled?: undefined;
                attrDisabled?: undefined;
                member?: undefined;
                aliasDisabled?: undefined;
                checked?: undefined;
                multiselect?: undefined;
                groupOptions?: undefined;
                groupSelect?: undefined;
                inputnumber?: undefined;
                isText?: undefined;
                options?: undefined;
                select?: undefined;
                require?: undefined;
                range?: undefined;
                accuracy?: undefined;
                thousandth?: undefined;
                percentage?: undefined;
                location?: undefined;
                sign?: undefined;
                amount?: undefined;
                workHour?: undefined;
                dept?: undefined;
            };
        };
    } | {
        name: string;
        label: string;
        aliasTitle: string;
        description: string;
        isSys: boolean;
        isOrg: boolean;
        writable: boolean;
        editable: boolean;
        unique: boolean;
        uniquePreHandler: string;
        sensitiveStrategy: string;
        sensitiveFlag: number;
        field: {
            type: string;
            customType: string;
            dataType: string;
            props: {
                required: boolean;
                workHour: {};
                collaboratorRoles: null;
                disabled: boolean;
                multiple: boolean;
                fieldSearch?: undefined;
                hide?: undefined;
                isSearch?: undefined;
                isCollaborators?: undefined;
                limit?: undefined;
                titleDisabled?: undefined;
                typeDisabled?: undefined;
                attrDisabled?: undefined;
                member?: undefined;
                aliasDisabled?: undefined;
                checked?: undefined;
                multiselect?: undefined;
                groupOptions?: undefined;
                groupSelect?: undefined;
                inputnumber?: undefined;
                isText?: undefined;
                options?: undefined;
                select?: undefined;
                require?: undefined;
                range?: undefined;
                accuracy?: undefined;
                thousandth?: undefined;
                percentage?: undefined;
                location?: undefined;
                sign?: undefined;
                amount?: undefined;
                dept?: undefined;
            };
        };
    } | {
        name: string;
        label: string;
        aliasTitle: string;
        description: string;
        isSys: boolean;
        isOrg: boolean;
        writable: boolean;
        editable: boolean;
        unique: boolean;
        uniquePreHandler: string;
        sensitiveStrategy: string;
        sensitiveFlag: number;
        field: {
            type: string;
            customType: string;
            dataType: string;
            props: {
                multiple: boolean;
                required: boolean;
                collaboratorRoles: null;
                disabled: boolean;
                isCollaborators: boolean;
                member: {
                    multiple: boolean;
                    isCollaborators: boolean;
                    collaboratorRoles?: undefined;
                    required?: undefined;
                };
                fieldSearch?: undefined;
                hide?: undefined;
                isSearch?: undefined;
                limit?: undefined;
                titleDisabled?: undefined;
                typeDisabled?: undefined;
                attrDisabled?: undefined;
                aliasDisabled?: undefined;
                checked?: undefined;
                multiselect?: undefined;
                groupOptions?: undefined;
                groupSelect?: undefined;
                inputnumber?: undefined;
                isText?: undefined;
                options?: undefined;
                select?: undefined;
                require?: undefined;
                range?: undefined;
                accuracy?: undefined;
                thousandth?: undefined;
                percentage?: undefined;
                location?: undefined;
                sign?: undefined;
                amount?: undefined;
                workHour?: undefined;
                dept?: undefined;
            };
        };
    } | {
        name: string;
        label: string;
        aliasTitle: string;
        description: string;
        isSys: boolean;
        isOrg: boolean;
        writable: boolean;
        editable: boolean;
        unique: boolean;
        uniquePreHandler: string;
        sensitiveStrategy: string;
        sensitiveFlag: number;
        field: {
            type: string;
            customType: string;
            dataType: string;
            props: {
                multiple: boolean;
                required: boolean;
                collaboratorRoles: null;
                dept: {
                    multiple: boolean;
                };
                disabled: boolean;
                fieldSearch?: undefined;
                hide?: undefined;
                isSearch?: undefined;
                isCollaborators?: undefined;
                limit?: undefined;
                titleDisabled?: undefined;
                typeDisabled?: undefined;
                attrDisabled?: undefined;
                member?: undefined;
                aliasDisabled?: undefined;
                checked?: undefined;
                multiselect?: undefined;
                groupOptions?: undefined;
                groupSelect?: undefined;
                inputnumber?: undefined;
                isText?: undefined;
                options?: undefined;
                select?: undefined;
                require?: undefined;
                range?: undefined;
                accuracy?: undefined;
                thousandth?: undefined;
                percentage?: undefined;
                location?: undefined;
                sign?: undefined;
                amount?: undefined;
                workHour?: undefined;
            };
        };
    } | {
        name: string;
        label: string;
        aliasTitle: string;
        description: string;
        isSys: boolean;
        isOrg: boolean;
        writable: boolean;
        editable: boolean;
        unique: boolean;
        uniquePreHandler: string;
        sensitiveStrategy: string;
        sensitiveFlag: number;
        field: {
            type: string;
            customType: string;
            dataType: string;
            props: {
                multiple: boolean;
                multiselect: {
                    options: {
                        value: string;
                        color: string;
                        id: number;
                    }[];
                };
                options: {
                    value: string;
                    color: string;
                    id: number;
                }[];
                required: boolean;
                checked: boolean;
                collaboratorRoles: null;
                disabled: boolean;
                hide: boolean;
                fieldSearch?: undefined;
                isSearch?: undefined;
                isCollaborators?: undefined;
                limit?: undefined;
                titleDisabled?: undefined;
                typeDisabled?: undefined;
                attrDisabled?: undefined;
                member?: undefined;
                aliasDisabled?: undefined;
                groupOptions?: undefined;
                groupSelect?: undefined;
                inputnumber?: undefined;
                isText?: undefined;
                select?: undefined;
                require?: undefined;
                range?: undefined;
                accuracy?: undefined;
                thousandth?: undefined;
                percentage?: undefined;
                location?: undefined;
                sign?: undefined;
                amount?: undefined;
                workHour?: undefined;
                dept?: undefined;
            };
        };
    })[] | Variable[] | undefined;
    currentFieldOrFunction: {
        name: string;
        description: string;
        useage: string;
        example: string;
        type: string;
    };
    functions: FunctionGroup[];
    isSelected: boolean;
    fieldValues: string[];
    FunctionNames: string[];
};
export declare type InitialState = typeof initialState;
