import type { Editor as CodemirrorEditor } from 'codemirror';
import type { Variable, FunctionGroup } from '../types';
import { ErrorType } from '../enum';
export declare const initLineTag: (editor: CodemirrorEditor, content: string, line: number, innerVariables?: Variable[]) => void;
export declare const initDocTag: (editor: CodemirrorEditor, code: string, innerVariables?: Variable[]) => void;
export declare const evil: (expression: string) => any;
export declare const isBracketError: (input: string) => boolean;
export declare const getFormulaError: (input: string) => (string | ErrorType)[];
export declare const fuzzySearchField: (fields: Variable[], inputValue: string) => Variable[];
export declare const fuzzySearchFunctions: (functionArray: FunctionGroup[], inputValue: string) => {
    name: string;
    functions: import("../types").FunctionItem[];
}[];
export declare const useFormula: (value: string, dataSourceItem: {}) => string | string[] | undefined;
export declare const isValidField: (input: string, fields: string[]) => boolean;
export declare const reverseField: (input: string, fields: Variable[]) => string;
